/**
*	Metamaxim ModelScope
*	Copyright 2007 Metamaxim Ltd
*/
package PhoneBook;

import com.metamaxim.modelscope.callbacks.*;

public class CallingMachine extends Behaviour {

	public String getStatus() {
	// Current status of the phone
		return this.getState("Calling Machine");
	}

	public void processCall (Event event, String subscript) {
	// Sets up the Calling attribute when a call starts with Call
		this.setString("Calling", event.getString("Phone number"));
	}

	public void processFindCall (Event event, String subscript) {
	// Sets up the Calling attribute when a call starts with Find Call
		this.setString("Calling", event.getInstance("Saved Number").getString("Phone number"));
	}

	public void processEnd (Event event, String subscript) {
	// Blanks out the Number attribute when a call finishes
		this.setString("Calling", "");
	}

	public void processOff (Event event, String subscript) {
	// Blanks out the Number attribute when the 'phone is switched off
		this.setString("Calling", "");
	}



}
